test_cinder_quota_class_show failes during gate jobs

Bug #1220436 reported by Peter Portante on 2013-09-03
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cinder
Critical
Cory Stone

Bug Description

http://logs.openstack.org/42/44542/1/gate/gate-tempest-devstack-vm-postgres-full/2d73c40/console.html

2013-09-03 19:29:16.317 | ======================================================================
2013-09-03 19:29:16.318 | FAIL: tempest.cli.simple_read_only.test_cinder.SimpleReadOnlyCinderClientTest.test_cinder_quota_class_show
2013-09-03 19:29:16.318 | tempest.cli.simple_read_only.test_cinder.SimpleReadOnlyCinderClientTest.test_cinder_quota_class_show
2013-09-03 19:29:16.318 | ----------------------------------------------------------------------
2013-09-03 19:29:16.319 | _StringException: Empty attachments:
2013-09-03 19:29:16.319 | stderr
2013-09-03 19:29:16.319 | stdout
2013-09-03 19:29:16.320 |
2013-09-03 19:29:16.320 | pythonlogging:'': {{{2013-09-03 19:23:46,092 running: '/usr/local/bin/cinder --os-username admin --os-tenant-name admin --os-password secret --os-auth-url http://127.0.0.1:5000/v2.0/ quota-class-show abc'}}}
2013-09-03 19:29:16.320 |
2013-09-03 19:29:16.321 | Traceback (most recent call last):
2013-09-03 19:29:16.321 | File "tempest/cli/simple_read_only/test_cinder.py", line 56, in test_cinder_quota_class_show
2013-09-03 19:29:16.321 | params='abc'))
2013-09-03 19:29:16.322 | File "tempest/cli/__init__.py", line 86, in cinder
2013-09-03 19:29:16.322 | 'cinder', action, flags, params, admin, fail_ok)
2013-09-03 19:29:16.323 | File "tempest/cli/__init__.py", line 102, in cmd_with_auth
2013-09-03 19:29:16.323 | return self.cmd(cmd, action, flags, params, fail_ok)
2013-09-03 19:29:16.323 | File "tempest/cli/__init__.py", line 123, in cmd
2013-09-03 19:29:16.324 | result)
2013-09-03 19:29:16.324 | CommandFailed: Command '['/usr/local/bin/cinder', '--os-username', 'admin', '--os-tenant-name', 'admin', '--os-password', 'secret', '--os-auth-url', 'http://127.0.0.1:5000/v2.0/', 'quota-class-show', 'abc']' returned non-zero exit status 1

Changed in cinder:
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → John Griffith (john-griffith)
milestone: none → havana-3
Anita Kuno (anteaya) wrote :
Alex Gaynor (alex-gaynor) wrote :

I edited the title to remove "swift", this affects all tempest gate jobs.

summary: - test_cinder_quota_class_show failes during swift gate jobs
+ test_cinder_quota_class_show failes during gate jobs
John Griffith (john-griffith) wrote :

So the actual issue here is that we seem to hit a condition where the classes returned from quotas.get_class_quotas is missing one of the expected entries (gigabytes_volume-typexxx).

Changed in cinder:
milestone: havana-3 → havana-rc1

Fix proposed to branch: master
Review: https://review.openstack.org/45271

Changed in cinder:
assignee: John Griffith (john-griffith) → Cory Stone (corystone)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/45271
Committed: http://github.com/openstack/cinder/commit/4fe60f6192abdf154cbf7f65021a47d7e339aa76
Submitter: Jenkins
Branch: master

commit 4fe60f6192abdf154cbf7f65021a47d7e339aa76
Author: Cory Stone <email address hidden>
Date: Thu Sep 5 11:27:27 2013 -0500

    Remove quota fetch race condition

    When displaying quotas, we shouldn't pull the latest resources
    just to convert the results to the dict.

    Closes-Bug: #1220436

    Change-Id: Id01a310481353b272e103643d053957b65cd4ce3

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers